IARRAY_GET_SUB_ARRAY_2D(3)

FUNCTION
iarray_get_sub_array_2D - Create a 2-dimensional alias Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

iarray iarray_get_sub_array_2D

(iarray array, int starty, int startx, unsigned int ylen, unsigned int xlen)

DESCRIPTION
This routine will create an "Intelligent Array" which is an alias or a sub-array of another "Intelligent Array". Subsequent modification of the alias array will modify the data of the original array. Sub-arrays may be created from other sub-arrays. The attachment count of the underlying <<multi_array>> data structure is incremented on successful completion.

array
    The original array.

starty
    The starting y (row) index in the original array corresponding to the first row of the alias array.

startx
    The starting x (column) index in the original array corresponding to the first column of the alias array.

ylen
    The number of y co-ordinates (rows) in the alias array.

xlen
    The number of x co-ordinates (columns) in the alias array.

RETURN VALUE
A dynamically allocated intelligent array on success, else NULL.

Multi-threading Level
Unsafe.

NOTE
Sub-arrays cannot be saved to disc.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/